Bug 1748928 - perl-PDL-2.19.0-8 FTBFS: proj-nad dependency does not exist
Summary: perl-PDL-2.19.0-8 FTBFS: proj-nad dependency does not exist
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-PDL
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-04 13:23 UTC by Petr Pisar
Modified: 2021-05-25 15:05 UTC (History)
9 users (show)

Fixed In Version: perl-PDL-2.19.0-9.fc32 perl-PDL-2.19.0-9.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 15:05:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2019-09-04 13:23:41 UTC
perl-PDL-2.19.0-8 fails to build in F31 because proj-nad does not exist there.

According to proj-5.2.0-5.fc31 changelog, proj-nad package was renamed to proj-datumgrid.

Please note that in F32 is a rebased proj-6.2.0 with a different API.

Comment 1 Fedora Update System 2019-09-05 07:06:32 UTC
FEDORA-2019-610fe26b86 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-610fe26b86

Comment 2 Fedora Update System 2019-09-05 10:52:09 UTC
perl-PDL-2.19.0-9.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-610fe26b86

Comment 3 Fedora Update System 2019-09-14 00:09:55 UTC
perl-PDL-2.19.0-9.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2019-09-14 16:33:30 UTC
perl-PDL-2.19.0-9.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Petr Pisar 2019-09-16 08:58:12 UTC
While the package builds now, it actually skipped a support for Proj and many Perl modules are missing now <https://ppisar.fedorapeople.org/perl_rebuild/scratch/2019-09-16/index.xhtml#pperl-PDL>. I recommend removing the Proj build dependencies until PDL regains support for the current Proj API.

Comment 6 Petr Pisar 2019-09-16 09:00:19 UTC
This is actually true for F32 only. F31 contains the older Proj that is compatible with perl-PDL-2.19.0.

Comment 7 Ben Cotton 2020-02-11 17:55:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 8 Fedora Program Management 2021-04-29 15:57:24 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2021-05-25 15:05:09 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.